body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 10px;
  background-color: #f0f0f0;
  background-image: url("https://infotechorlando.com/kindergarten-math/kindergartenmath.PNG");
  background-repeat: repeat;}

.crossword-grid {
  display: grid;
  grid-template-columns: repeat(5, minmax(50px, 1fr));
  grid-template-rows: repeat(5, minmax(50px, 1fr));
  gap: 2px;
  max-width: 360px;
  margin: 0 auto;
}


h2 {
    font-size: 1.5em;
    text-align: center;
    color: #333;
    margin-bottom: .20em;
    margin-top: .1em;
}

.main-container {
  max-width: 800px;
  margin: 0 auto;
  margin-top:.5;
}

.instructions {
  text-align: left;
  margin-bottom: 1rem;
}

.instructions ul {
  margin: 0;
  padding-left: 20px;
}

.instructions summary {
  font-weight: bold;
  cursor: pointer;
  outline: none;
}

.correct {
  border: 2px solid #28a745;
}

.incorrect {
  border: 2px solid #dc3545;
}


.solutions-container, .solutions-heading {
    background-color: #ffffff; /* Fallback color */
    background-color: rgba(255, 255, 255, 0.5); /* Color with opacity */
    border-radius: 5px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    /* Rest of your CSS properties */
}

.solution-row {
  margin-bottom: 1rem;
}

.solutions-heading {
  color: #28A745;
}

.solutions-wrapper {
  max-width: 360px;
  margin-left: auto;
  margin-right: auto;
  overflow-x: auto;
}

.container {
  text-align: center;
  background-color: #89CFF0;
  padding: 2px;
  border-radius: 5px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}


.cell {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #ccc;
  background-color: #eee;
}

input {
  width: 100%;
  border: none;
  text-align: center;
  box-sizing: border-box;
  font-size: 13px;
  font-weight: bold;
}

input:focus {
  outline: none;
}

button {
  background-color: #28a745;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  margin-top: 15px;
}

button:hover {
  background-color: #218838;
}

.hidden {
  display: none;
}

.reset-button {
  background-color: #dc3545;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  margin-top: 15px;
  margin-left: 10px;
}

.reset-button:hover {
  background-color: #c82333;
}
